diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-x2.h ns-3.44/src/lte/model/epc-x2.h
--- ns-3.43/src/lte/model/epc-x2.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-x2.h	2025-03-09 16:55:49.487371400 -0700
@@ -30,9 +30,9 @@
     /**
      * Constructor
      *
-     * \param remoteIpAddr remote IP address
-     * \param localCtrlPlaneSocket control plane socket
-     * \param localUserPlaneSocket user plane socket
+     * @param remoteIpAddr remote IP address
+     * @param localCtrlPlaneSocket control plane socket
+     * @param localUserPlaneSocket user plane socket
      */
     X2IfaceInfo(Ipv4Address remoteIpAddr,
                 Ptr<Socket> localCtrlPlaneSocket,
@@ -41,8 +41,8 @@
 
     /**
      * Assignment operator
-     * \param value value to assign
-     * \returns X2IfaceInfo&
+     * @param value value to assign
+     * @returns X2IfaceInfo&
      */
     X2IfaceInfo& operator=(const X2IfaceInfo& value);
 
@@ -61,16 +61,16 @@
     /**
      * Constructor
      *
-     * \param localCellIds local cell IDs
-     * \param remoteCellIds remote cell IDs
+     * @param localCellIds local cell IDs
+     * @param remoteCellIds remote cell IDs
      */
     X2CellInfo(std::vector<uint16_t> localCellIds, std::vector<uint16_t> remoteCellIds);
     virtual ~X2CellInfo();
 
     /**
      * Assignment operator
-     * \param value value to assign
-     * \returns X2CellInfo&
+     * @param value value to assign
+     * @returns X2CellInfo&
      */
     X2CellInfo& operator=(const X2CellInfo& value);
 
@@ -80,7 +80,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * This entity is installed inside an eNB and provides the functionality for the X2 interface
  */
@@ -101,28 +101,28 @@
     ~EpcX2() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     void DoDispose() override;
 
     /**
-     * \param s the X2 SAP User to be used by this EPC X2 entity
+     * @param s the X2 SAP User to be used by this EPC X2 entity
      */
     void SetEpcX2SapUser(EpcX2SapUser* s);
 
     /**
-     * \return the X2 SAP Provider interface offered by this EPC X2 entity
+     * @return the X2 SAP Provider interface offered by this EPC X2 entity
      */
     EpcX2SapProvider* GetEpcX2SapProvider();
 
     /**
      * Add an X2 interface to this EPC X2 entity
-     * \param enb1CellId the cell ID of the current eNodeB
-     * \param enb1X2Address the address of the current eNodeB
-     * \param enb2CellIds the cell IDs of the neighbouring eNodeB
-     * \param enb2X2Address the address of the neighbouring eNodeB
+     * @param enb1CellId the cell ID of the current eNodeB
+     * @param enb1X2Address the address of the current eNodeB
+     * @param enb2CellIds the cell IDs of the neighbouring eNodeB
+     * @param enb2X2Address the address of the neighbouring eNodeB
      */
     void AddX2Interface(uint16_t enb1CellId,
                         Ipv4Address enb1X2Address,
@@ -133,7 +133,7 @@
      * Method to be assigned to the recv callback of the X2-C (X2 Control Plane) socket.
      * It is called when the eNB receives a packet from the peer eNB of the X2-C interface
      *
-     * \param socket socket of the X2-C interface
+     * @param socket socket of the X2-C interface
      */
     void RecvFromX2cSocket(Ptr<Socket> socket);
 
@@ -141,7 +141,7 @@
      * Method to be assigned to the recv callback of the X2-U (X2 User Plane) socket.
      * It is called when the eNB receives a packet from the peer eNB of the X2-U interface
      *
-     * \param socket socket of the X2-U interface
+     * @param socket socket of the X2-U interface
      */
     void RecvFromX2uSocket(Ptr<Socket> socket);
 
@@ -149,49 +149,49 @@
     // Interface provided by EpcX2SapProvider
     /**
      * Send handover request function
-     * \param params the send handover request parameters
+     * @param params the send handover request parameters
      */
     virtual void DoSendHandoverRequest(EpcX2SapProvider::HandoverRequestParams params);
     /**
      * Send handover request ack function
-     * \param params the send handover request ack parameters
+     * @param params the send handover request ack parameters
      */
     virtual void DoSendHandoverRequestAck(EpcX2SapProvider::HandoverRequestAckParams params);
     /**
      * Send handover preparation failure function
-     * \param params the handover preparation failure parameters
+     * @param params the handover preparation failure parameters
      */
     virtual void DoSendHandoverPreparationFailure(
         EpcX2SapProvider::HandoverPreparationFailureParams params);
     /**
      * Send SN status transfer function
-     * \param params the SN status transfer parameters
+     * @param params the SN status transfer parameters
      */
     virtual void DoSendSnStatusTransfer(EpcX2SapProvider::SnStatusTransferParams params);
     /**
      * Send UE context release function
-     * \param params the UE context release parameters
+     * @param params the UE context release parameters
      */
     virtual void DoSendUeContextRelease(EpcX2SapProvider::UeContextReleaseParams params);
     /**
      * Send load information function
-     * \param params the send load information parameters
+     * @param params the send load information parameters
      */
     virtual void DoSendLoadInformation(EpcX2SapProvider::LoadInformationParams params);
     /**
      * Send resource status update function
-     * \param params the send resource status update parameters
+     * @param params the send resource status update parameters
      */
     virtual void DoSendResourceStatusUpdate(EpcX2SapProvider::ResourceStatusUpdateParams params);
     /**
      * Send UE data function
      *
-     * \param params EpcX2SapProvider::UeDataParams
+     * @param params EpcX2SapProvider::UeDataParams
      */
     virtual void DoSendUeData(EpcX2SapProvider::UeDataParams params);
     /**
-     * \brief Send Handover Cancel function
-     * \param params the handover cancel parameters
+     * @brief Send Handover Cancel function
+     * @param params the handover cancel parameters
      *
      */
     virtual void DoSendHandoverCancel(EpcX2SapProvider::HandoverCancelParams params);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/epc-x2-header.h ns-3.44/src/lte/model/epc-x2-header.h
--- ns-3.43/src/lte/model/epc-x2-header.h	2024-10-09 16:41:09.932656000 -0700
+++ ns-3.44/src/lte/model/epc-x2-header.h	2025-03-09 16:55:49.487371400 -0700
@@ -25,8 +25,8 @@
     ~EpcX2Header() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -37,34 +37,34 @@
 
     /**
      * Get message type function
-     * \returns the message type
+     * @returns the message type
      */
     uint8_t GetMessageType() const;
     /**
      * Set message type function
-     * \param messageType the message type
+     * @param messageType the message type
      */
     void SetMessageType(uint8_t messageType);
 
     /**
      * Get procedure code function
-     * \returns the procedure code
+     * @returns the procedure code
      */
     uint8_t GetProcedureCode() const;
     /**
      * Set procedure code function
-     * \param procedureCode the procedure code
+     * @param procedureCode the procedure code
      */
     void SetProcedureCode(uint8_t procedureCode);
 
     /**
      * Set length of IEs function
-     * \param lengthOfIes the length of IEs
+     * @param lengthOfIes the length of IEs
      */
     void SetLengthOfIes(uint32_t lengthOfIes);
     /**
      * Set number of IEs function
-     * \param numberOfIes the number of IEs
+     * @param numberOfIes the number of IEs
      */
     void SetNumberOfIes(uint32_t numberOfIes);
 
@@ -105,8 +105,8 @@
     ~EpcX2HandoverRequestHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -117,89 +117,89 @@
 
     /**
      * Get old ENB X2 AP ID function
-     * \returns the old ENB UE X2 AP ID
+     * @returns the old ENB UE X2 AP ID
      */
     uint16_t GetOldEnbUeX2apId() const;
     /**
      * Set old ENB X2 AP ID function
-     * \param x2apId the X2 AP ID
+     * @param x2apId the X2 AP ID
      */
     void SetOldEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get cause function
-     * \returns the cause
+     * @returns the cause
      */
     uint16_t GetCause() const;
     /**
      * Set cause function
-     * \param cause
+     * @param cause
      */
     void SetCause(uint16_t cause);
 
     /**
      * Get target cell id function
-     * \returns the target cell ID
+     * @returns the target cell ID
      */
     uint16_t GetTargetCellId() const;
     /**
      * Set target cell id function
-     * \param targetCellId the target cell ID
+     * @param targetCellId the target cell ID
      */
     void SetTargetCellId(uint16_t targetCellId);
 
     /**
      * Get MME UE S1 AP ID function
-     * \returns the MME UE S1 AP ID
+     * @returns the MME UE S1 AP ID
      */
     uint32_t GetMmeUeS1apId() const;
     /**
      * Set MME UE S1 AP ID function
-     * \param mmeUeS1apId the MME UE S1 AP ID
+     * @param mmeUeS1apId the MME UE S1 AP ID
      */
     void SetMmeUeS1apId(uint32_t mmeUeS1apId);
 
     /**
      * Get bearers function
-     * \returns <EpcX2Sap::ErabToBeSetupItem>
+     * @returns <EpcX2Sap::ErabToBeSetupItem>
      */
     std::vector<EpcX2Sap::ErabToBeSetupItem> GetBearers() const;
     /**
      * Set bearers function
-     * \param bearers std::vector <EpcX2Sap::ErabToBeSetupItem>
+     * @param bearers std::vector <EpcX2Sap::ErabToBeSetupItem>
      */
     void SetBearers(std::vector<EpcX2Sap::ErabToBeSetupItem> bearers);
 
     /**
      * Get UE Aggregate Max Bit Rate Downlink function
-     * \returns the UE aggregate max bit rate downlink
+     * @returns the UE aggregate max bit rate downlink
      */
     uint64_t GetUeAggregateMaxBitRateDownlink() const;
     /**
      * Set UE Aggregate Max Bit Rate Downlink function
-     * \param bitRate the bit rate
+     * @param bitRate the bit rate
      */
     void SetUeAggregateMaxBitRateDownlink(uint64_t bitRate);
 
     /**
      * Get UE Aggregate Max Bit Rate Uplik function
-     * \returns the UE aggregate max bit rate uplink
+     * @returns the UE aggregate max bit rate uplink
      */
     uint64_t GetUeAggregateMaxBitRateUplink() const;
     /**
      * Set UE Aggregate Max Bit Rate Uplik function
-     * \param bitRate the bit rate
+     * @param bitRate the bit rate
      */
     void SetUeAggregateMaxBitRateUplink(uint64_t bitRate);
 
     /**
      * Get length of IEs
-     * \returns the length of IEs
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
      * Get number of IEs
-     * \returns the number of IEs
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
@@ -226,8 +226,8 @@
     ~EpcX2HandoverRequestAckHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -238,56 +238,56 @@
 
     /**
      * Get old ENB UE X2 AP ID function
-     * \returns the old ENB UE X2 AP ID
+     * @returns the old ENB UE X2 AP ID
      */
     uint16_t GetOldEnbUeX2apId() const;
     /**
      * Set old ENB UE X2 AP ID function
-     * \param x2apId the old ENB UE X2 AP ID
+     * @param x2apId the old ENB UE X2 AP ID
      */
     void SetOldEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get new ENB UE X2 AP ID function
-     * \returns the new ENB UE X2 AP ID
+     * @returns the new ENB UE X2 AP ID
      */
     uint16_t GetNewEnbUeX2apId() const;
     /**
      * Set new ENB UE X2 AP ID function
-     * \param x2apId the new ENB UE X2 AP ID
+     * @param x2apId the new ENB UE X2 AP ID
      */
     void SetNewEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get admittied bearers function
-     * \returns <EpcX2Sap::ErabAdmittedItem>
+     * @returns <EpcX2Sap::ErabAdmittedItem>
      */
     std::vector<EpcX2Sap::ErabAdmittedItem> GetAdmittedBearers() const;
     /**
      * Set admitted bearers function
-     * \param bearers the admitted bearers
+     * @param bearers the admitted bearers
      */
     void SetAdmittedBearers(std::vector<EpcX2Sap::ErabAdmittedItem> bearers);
 
     /**
      * Get not admitted bearers function
-     * \returns the not admitted bearers
+     * @returns the not admitted bearers
      */
     std::vector<EpcX2Sap::ErabNotAdmittedItem> GetNotAdmittedBearers() const;
     /**
      * Set not admitted bearers function
-     * \param bearers the not admitted bearers
+     * @param bearers the not admitted bearers
      */
     void SetNotAdmittedBearers(std::vector<EpcX2Sap::ErabNotAdmittedItem> bearers);
 
     /**
      * Get length of IEs function
-     * \returns the length of IEs
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
      * Get number of IEs function
-     * \returns the number of IEs
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
@@ -311,8 +311,8 @@
     ~EpcX2HandoverPreparationFailureHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -323,45 +323,45 @@
 
     /**
      * Get old ENB UE X2 AP ID function
-     * \returns the old ENB UE X2 AP ID
+     * @returns the old ENB UE X2 AP ID
      */
     uint16_t GetOldEnbUeX2apId() const;
     /**
      * Set old ENB UE X2 AP ID function
-     * \param x2apId the old ENB UE X2 AP ID
+     * @param x2apId the old ENB UE X2 AP ID
      */
     void SetOldEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get cause function
-     * \returns the cause
+     * @returns the cause
      */
     uint16_t GetCause() const;
     /**
      * Set cause function
-     * \param cause
+     * @param cause
      */
     void SetCause(uint16_t cause);
 
     /**
      * Get criticality diagnostics function
-     * \returns the criticality diagnostics
+     * @returns the criticality diagnostics
      */
     uint16_t GetCriticalityDiagnostics() const;
     /**
      * Set criticality diagnostics function
-     * \param criticalityDiagnostics the criticality diagnostics
+     * @param criticalityDiagnostics the criticality diagnostics
      */
     void SetCriticalityDiagnostics(uint16_t criticalityDiagnostics);
 
     /**
      * Get length of IEs function
-     * \returns the length of IEs
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
      * Get number of IEs function
-     * \returns the number of IEs
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
@@ -384,8 +384,8 @@
     ~EpcX2SnStatusTransferHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -396,47 +396,47 @@
 
     /**
      * Get old ENB UE X2 AP ID function
-     * \returns the old ENB UE X2 AP ID
+     * @returns the old ENB UE X2 AP ID
      */
     uint16_t GetOldEnbUeX2apId() const;
     /**
      * Set old ENB UE X2 AP ID function
-     * \param x2apId the old ENB UE X2 AP ID
+     * @param x2apId the old ENB UE X2 AP ID
      */
     void SetOldEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get new ENB UE X2 AP ID function
-     * \returns the new ENB UE X2AP ID
+     * @returns the new ENB UE X2AP ID
      */
     uint16_t GetNewEnbUeX2apId() const;
     /**
      * Set new ENB UE X2 AP ID function
-     * \param x2apId the new ENB UE X2AP ID
+     * @param x2apId the new ENB UE X2AP ID
      */
     void SetNewEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get ERABs subject to status transfer list function
-     * \returns std::vector <EpcX2Sap::ErabsSubjectToStatusTransferItem>
+     * @returns std::vector <EpcX2Sap::ErabsSubjectToStatusTransferItem>
      */
     std::vector<EpcX2Sap::ErabsSubjectToStatusTransferItem> GetErabsSubjectToStatusTransferList()
         const;
     /**
      * Set ERABs subject to status transfer list function
-     * \param erabs std::vector <EpcX2Sap::ErabsSubjectToStatusTransferItem>
+     * @param erabs std::vector <EpcX2Sap::ErabsSubjectToStatusTransferItem>
      */
     void SetErabsSubjectToStatusTransferList(
         std::vector<EpcX2Sap::ErabsSubjectToStatusTransferItem> erabs);
 
     /**
      * Get length of IEs function
-     * \returns the length of IEs
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
      * Get number of IEs function
-     * \returns the number of IEs
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
@@ -460,8 +460,8 @@
     ~EpcX2UeContextReleaseHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -472,34 +472,34 @@
 
     /**
      * Get old ENB UE X2 AP ID function
-     * \returns the old ENB UE X2 AP ID
+     * @returns the old ENB UE X2 AP ID
      */
     uint16_t GetOldEnbUeX2apId() const;
     /**
      * Set old ENB UE X2 AP ID function
-     * \param x2apId the old ENB UE X2 AP ID
+     * @param x2apId the old ENB UE X2 AP ID
      */
     void SetOldEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get new ENB UE X2 AP ID function
-     * \returns the new ENB UE X2 AP ID
+     * @returns the new ENB UE X2 AP ID
      */
     uint16_t GetNewEnbUeX2apId() const;
     /**
      * Set new ENB UE X2 AP ID function
-     * \param x2apId the new ENB UE X2 AP ID
+     * @param x2apId the new ENB UE X2 AP ID
      */
     void SetNewEnbUeX2apId(uint16_t x2apId);
 
     /**
      * Get length of IEs function
-     * \returns the length of IEs
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
      * Set length of IEs function
-     * \returns the number of IEs
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
@@ -521,8 +521,8 @@
     ~EpcX2LoadInformationHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -533,23 +533,23 @@
 
     /**
      * Get cell information list function
-     * \returns std::vector <EpcX2Sap::CellInformationItem>
+     * @returns std::vector <EpcX2Sap::CellInformationItem>
      */
     std::vector<EpcX2Sap::CellInformationItem> GetCellInformationList() const;
     /**
      * Set cell information list function
-     * \param cellInformationList std::vector <EpcX2Sap::CellInformationItem>
+     * @param cellInformationList std::vector <EpcX2Sap::CellInformationItem>
      */
     void SetCellInformationList(std::vector<EpcX2Sap::CellInformationItem> cellInformationList);
 
     /**
      * Get length of IEs function
-     * \returns the length of IEs
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
      * Get number of IEs function
-     * \returns the number of IEs
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
@@ -570,8 +570,8 @@
     ~EpcX2ResourceStatusUpdateHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -582,46 +582,46 @@
 
     /**
      * Get ENB1 measurement ID function
-     * \returns the ENB1 measurement ID
+     * @returns the ENB1 measurement ID
      */
     uint16_t GetEnb1MeasurementId() const;
     /**
      * Set ENB1 measurement ID function
-     * \param enb1MeasurementId the ENB1 measurement ID
+     * @param enb1MeasurementId the ENB1 measurement ID
      */
     void SetEnb1MeasurementId(uint16_t enb1MeasurementId);
 
     /**
      * Get ENB2 measurement ID function
-     * \returns the ENB2 measurement ID
+     * @returns the ENB2 measurement ID
      */
     uint16_t GetEnb2MeasurementId() const;
     /**
      * Set ENB2 measurement ID function
-     * \param enb2MeasurementId ENB2 measruement ID
+     * @param enb2MeasurementId ENB2 measruement ID
      */
     void SetEnb2MeasurementId(uint16_t enb2MeasurementId);
 
     /**
      * Get cell measurement results list function
-     * \returns the cell measurement results list
+     * @returns the cell measurement results list
      */
     std::vector<EpcX2Sap::CellMeasurementResultItem> GetCellMeasurementResultList() const;
     /**
      * Set cell measurement results list function
-     * \param cellMeasurementResultList the cell measurement results list
+     * @param cellMeasurementResultList the cell measurement results list
      */
     void SetCellMeasurementResultList(
         std::vector<EpcX2Sap::CellMeasurementResultItem> cellMeasurementResultList);
 
     /**
      * Get length of IEs function
-     * \returns the length of IEs
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
      * Get number of IEs function
-     * \returns the number of IEs
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
@@ -645,8 +645,8 @@
     ~EpcX2HandoverCancelHeader() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -656,46 +656,46 @@
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get old ENB UE X2 AP ID function
-     * \returns the old ENB UE X2 AP ID
+     * @brief Get old ENB UE X2 AP ID function
+     * @returns the old ENB UE X2 AP ID
      */
     uint16_t GetOldEnbUeX2apId() const;
     /**
-     * \brief Set old ENB UE X2 AP ID function
-     * \param x2apId the old ENB UE X2 AP ID
+     * @brief Set old ENB UE X2 AP ID function
+     * @param x2apId the old ENB UE X2 AP ID
      */
     void SetOldEnbUeX2apId(uint16_t x2apId);
 
     /**
-     * \brief Get new ENB UE X2 AP ID function
-     * \returns the new ENB UE X2 AP ID
+     * @brief Get new ENB UE X2 AP ID function
+     * @returns the new ENB UE X2 AP ID
      */
     uint16_t GetNewEnbUeX2apId() const;
     /**
-     * \brief Set new ENB UE X2 AP ID function
-     * \param x2apId the new ENB UE X2 AP ID
+     * @brief Set new ENB UE X2 AP ID function
+     * @param x2apId the new ENB UE X2 AP ID
      */
     void SetNewEnbUeX2apId(uint16_t x2apId);
 
     /**
-     * \brief Get cause function
-     * \returns the cause
+     * @brief Get cause function
+     * @returns the cause
      */
     uint16_t GetCause() const;
     /**
-     * \brief Set cause function
-     * \param cause
+     * @brief Set cause function
+     * @param cause
      */
     void SetCause(uint16_t cause);
 
     /**
-     * \brief Get length of IEs function
-     * \returns the length of IEs
+     * @brief Get length of IEs function
+     * @returns the length of IEs
      */
     uint32_t GetLengthOfIes() const;
     /**
-     * \brief Get number of IEs function
-     * \returns the number of IEs
+     * @brief Get number of IEs function
+     * @returns the number of IEs
      */
     uint32_t GetNumberOfIes() const;
 
